# Keithley 2306 Dual Channel Battery/Charger Simulator

class pymeasure.instruments.keithley.Keithley2306(adapter, name='Keithley 2306', **kwargs)

  Bases: `SCPIUnknownMixin`, `Instrument`

  Represents the Keithley 2306 Dual Channel Battery/Charger Simulator.

  property both_channels_enabled

    A boolean setting that controls whether both channel outputs are enabled, takes values of True or False.

  ch(channel_number)

    Get a channel from this instrument.

    Param:

      channel_number: int: the number of the channel to be selected

    Type:

      `Keithley2306Channel`

  check_errors()

    Read all errors from the instrument.

    Returns:

      List of error entries.

  check_get_errors()

    Check for errors after having gotten a property and log them.

    Called if `check_get_errors=True` is set for that property.

    If you override this method, you may choose to raise an Exception for certain errors.

    Returns:

      List of error entries.

  check_set_errors()

    Check for errors after having set a property and log them.

    Called if `check_set_errors=True` is set for that property.

    If you override this method, you may choose to raise an Exception for certain errors.

    Returns:

      List of error entries.

  clear()

    Clear the instrument status byte.

  property complete

    Get the synchronization bit.

    This property allows synchronization between a controller and a device. The Operation Complete query places an ASCII character 1 into the device’s Output Queue when all pending selected device operations have been finished.

  property display_brightness

    A floating point property that controls the display brightness, takes values beteween 0.0 and 1.0. A blank display is 0.0, 1/4 brightness is for values less or equal to 0.25, otherwise 1/2 brightness for values less than or equal to 0.5, otherwise 3/4 brightness for values less than or equal to 0.75, otherwise full brightness.

  property display_channel

    An integer property that controls the display channel, takes values 1 or 2.

  property display_enabled

    A boolean property that controls whether the display is enabled, takes values True or False.

  property display_text_data

    A string property that control text to be displayed, takes strings up to 32 characters.

  property display_text_enabled

    A boolean property that controls whether display text is enabled, takes values True or False.

  property id

    Get the identification of the instrument.

  property next_error

    Get the next error in the queue. If you want to read and log all errors, use `check_errors()` instead.

  property options

    Get the device options installed.

  read(**kwargs)

    Read up to (excluding) read_termination or the whole read buffer.

  read_binary_values(**kwargs)

    Read binary values from the device.

  read_bytes(count, **kwargs)

    Read a certain number of bytes from the instrument.

    Parameters:

      - count (int) – Number of bytes to read. A value of -1 indicates to read the whole read buffer.

      - kwargs – Keyword arguments for the adapter.

    Returns bytes:

      Bytes response of the instrument (including termination).

  relay(relay_number)

    Get a relay channel from this instrument.

    Param:

      relay_number: int: the number of the relay to be selected

    Type:

      `Relay`

  reset()

    Reset the instrument.

  shutdown()

    Brings the instrument to a safe and stable state

  property status

    Get the status byte and Master Summary Status bit.

  wait_for(query_delay=None)

    Wait for some time. Used by ‘ask’ to wait before reading.

    Parameters:

      query_delay – Delay between writing and reading in seconds. None is default delay.

  write(command, **kwargs)

    Write a string command to the instrument appending write_termination.

    Parameters:

      - command – command string to be sent to the instrument

      - kwargs – Keyword arguments for the adapter.

  write_binary_values(command, values, *args, **kwargs)

    Write binary values to the device.

    Parameters:

      - command – Command to send.

      - values – The values to transmit.

      - **kwargs (*args,) – Further arguments to hand to the Adapter.

  write_bytes(content, **kwargs)

    Write the bytes content to the instrument.